Can't Install Okta On-Prem MFA Agent on Windows 10 Skip to main content
https://support.okta.com/help/answers?id=9062a000000bbrpqac&refurl=http%3a%2f%2fsupport.okta.com%2fhelp%2fanswers
How satisfied are you with the Okta Help Center?
Thank you for your feedback!
How satisfied are you with the Okta Help Center?
1
2
3
4
5
Very Dissatisfied
Very satisfied
Enter content less than 200 characters.
Ask Search:
亜季彦 村上亜季彦 村上 

Can't Install Okta On-Prem MFA Agent on Windows 10

I'm trying to install Windows 10 MFA Agent.
And got the error message below.

'Target requirements check failed'
'Windows 10 (x64) SP 0 detected (SP4 or later required)'

So, I did Windows Update and apply all patch.
But agent prompt same error message.

Could you tell me what should I do.

Akihiko
Best Answer chosen by 亜季彦 村上
Ciprian SamihaianCiprian Samihaian (Okta, Inc.)
Hi Akihiko,

The Okta On-Prem MFA Agent has to be installed on a server, starting with Windows Server 2008 R2. All details can be found in the below documentation:

https://help.okta.com/en/prod/Content/Topics/Security/MFA_OnPrem.htm

Thank you,
CiprianSamihaian
Technical Support Engineer
Okta Global Customer Care
 

All Answers

Ciprian SamihaianCiprian Samihaian (Okta, Inc.)
Hi Akihiko,

The Okta On-Prem MFA Agent has to be installed on a server, starting with Windows Server 2008 R2. All details can be found in the below documentation:

https://help.okta.com/en/prod/Content/Topics/Security/MFA_OnPrem.htm

Thank you,
CiprianSamihaian
Technical Support Engineer
Okta Global Customer Care
 
This was selected as the best answer
Dylann FezeuDylann Fezeu (Customer First Programs)
Hello,

Thanks for posting your inquiry in Okta Community Portal.

If you receive a great answer to your question(s), please help readers find it by marking it the best answer. Hover over the answer and click "Best Answer." 

Thank you,

Dylann Fezeu
Okta Help Center Team